AnnotationBindingContextImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Class AnnotationBindingContextImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.AnnotationBindingContextImpl

All Implemented Interfaces:
  AnnotationBindingContext, BindingContext

    public class AnnotationBindingContextImpl

extends Object
implements AnnotationBindingContext

Constructor Summary
`AnnotationBindingContextImpl(MetadataImplementor metadata, org.jboss.jandex.Index index)`

Method Summary
`org.jboss.jandex.ClassInfo` | `getClassInfo(String name)`
`org.jboss.jandex.Index` | `getIndex()`
`MappingDefaults` | `getMappingDefaults()`
`MetadataImplementor` | `getMetadataImplementor()`
`NamingStrategy` | `getNamingStrategy()`
`com.fasterxml.classmate.ResolvedType` | `getResolvedType(Class<?> clazz)`
`ServiceRegistry` | `getServiceRegistry()`
`boolean` | `isGloballyQuotedIdentifiers()`
`
`<T> Class<T>`
` | `locateClassByName(String name)`
`Value<Class<?>>` | `makeClassReference(String className)`
`Type` | `makeJavaType(String className)`
`String` | `qualifyClassName(String name)`
`void` | `resolveAllTypes(String className)`
`com.fasterxml.classmate.ResolvedTypeWithMembers` | `resolveMemberTypes(com.fasterxml.classmate.ResolvedType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationBindingContextImpl

    public AnnotationBindingContextImpl(MetadataImplementor metadata,
                                        org.jboss.jandex.Index index)

Method Detail

### getIndex

    public org.jboss.jandex.Index getIndex()

  Specified by:
    `getIndex` in interface `AnnotationBindingContext`

### getClassInfo

    public org.jboss.jandex.ClassInfo getClassInfo(String name)

  Specified by:
    `getClassInfo` in interface `AnnotationBindingContext`

### resolveAllTypes

    public void resolveAllTypes(String className)

  Specified by:
    `resolveAllTypes` in interface `AnnotationBindingContext`

### getResolvedType

    public com.fasterxml.classmate.ResolvedType getResolvedType(Class<?> clazz)

  Specified by:
    `getResolvedType` in interface `AnnotationBindingContext`

### resolveMemberTypes

    public com.fasterxml.classmate.ResolvedTypeWithMembers resolveMemberTypes(com.fasterxml.classmate.ResolvedType type)

  Specified by:
    `resolveMemberTypes` in interface `AnnotationBindingContext`

### getServiceRegistry

    public ServiceRegistry getServiceRegistry()

  Specified by:
    `getServiceRegistry` in interface `BindingContext`

### getNamingStrategy

    public NamingStrategy getNamingStrategy()

  Specified by:
    `getNamingStrategy` in interface `BindingContext`

### getMappingDefaults

    public MappingDefaults getMappingDefaults()

  Specified by:
    `getMappingDefaults` in interface `BindingContext`

### getMetadataImplementor

    public MetadataImplementor getMetadataImplementor()

  Specified by:
    `getMetadataImplementor` in interface `BindingContext`

### locateClassByName

    public <T> Class<T> locateClassByName(String name)

  Specified by:
    `locateClassByName` in interface `BindingContext`

### makeJavaType

    public Type makeJavaType(String className)

  Specified by:
    `makeJavaType` in interface `BindingContext`

### makeClassReference

    public Value<Class<?>> makeClassReference(String className)

  Specified by:
    `makeClassReference` in interface `BindingContext`

### qualifyClassName

    public String qualifyClassName(String name)

  Specified by:
    `qualifyClassName` in interface `BindingContext`

### isGloballyQuotedIdentifiers

    public boolean isGloballyQuotedIdentifiers()

  Specified by:
    `isGloballyQuotedIdentifiers` in interface `BindingContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.